# Generated by rust2rpm 16
%bcond_without check
%global debug_package %{nil}

%global crate libpulse-sys

Name:           rust-%{crate}
Version:        1.18.0
Release:        1%{?dist}
Summary:        FFI bindings for the PulseAudio libpulse system library

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libpulse-sys
Source:         %{crates_source}
# Initial patched metadata
# * No Windows deps
Patch0:         libpulse-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging
BuildRequires:  pkgconfig(libpulse) >= 4.0

%global _description %{expand:
FFI bindings for the PulseAudio libpulse system library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 4.0

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v12-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 12.0

%description -n %{name}+pa_v12-devel %{_description}

This package contains library source intended for building other packages
which use "pa_v12" feature of "%{crate}" crate.

%files       -n %{name}+pa_v12-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v13-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 13.0

%description -n %{name}+pa_v13-devel %{_description}

This package contains library source intended for building other packages
which use "pa_v13" feature of "%{crate}" crate.

%files       -n %{name}+pa_v13-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v14-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 14.0

%description -n %{name}+pa_v14-devel %{_description}

This package contains library source intended for building other packages
which use "pa_v14" feature of "%{crate}" crate.

%files       -n %{name}+pa_v14-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v5-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 5.0

%description -n %{name}+pa_v5-devel %{_description}

This package contains library source intended for building other packages
which use "pa_v5" feature of "%{crate}" crate.

%files       -n %{name}+pa_v5-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v6-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 6.0

%description -n %{name}+pa_v6-devel %{_description}

This package contains library source intended for building other packages
which use "pa_v6" feature of "%{crate}" crate.

%files       -n %{name}+pa_v6-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+pa_v8-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpulse) >= 8.0

%description -n %{name}+pa_v8-devel %{_description}

This package contains library source intended for building other packages
which use "pa_v8" feature of "%{crate}" crate.

%files       -n %{name}+pa_v8-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 1.18.0-1
- Update to version 1.18.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 1.17.0-1
- Update to version 1.17.0.
- Fixes RHBZ#1907709

* Sat Dec 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.15.3-1
- Update to version 1.15.3.
- Fixes RHBZ#1906955

* Tue Dec 08 2020 Fabio Valentini <decathorpe@gmail.com> - 1.15.2-1
- Update to version 1.15.2.
- Fixes RHBZ#1905312

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 1.15.1-1
- Update to version 1.15.1.
- Fixes RHBZ#1901711

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 1.14.1-1
- Update to version 1.14.1.
- Fixes RHBZ#1901326

* Sat Nov 21 2020 Fabio Valentini <decathorpe@gmail.com> - 1.13.3-1
- Update to version 1.13.3.
- Fixes RHBZ#1900163

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 1.13.2-1
- Update to 1.13.2

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 04 2020 Josh Stone <jistone@redhat.com> - 1.13.1-1
- Update to 1.13.1

* Tue Apr 21 2020 Josh Stone <jistone@redhat.com> - 1.13.0-1
- Update to 1.13.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 06 07:18:01 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.12.1-1
- Update to 1.12.1

* Wed Dec 11 09:14:01 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.11.0-2
- Fixup sys deps

* Wed Nov 13 07:04:18 EET 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.11.0-1
- Initial package
